Bug 1282070 - [abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by SIGSEGV
Summary: [abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:163c0bc9ac3cc10107108187fab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-14 18:58 UTC by xvr
Modified: 2016-07-20 12:41 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:28:14 UTC


Attachments (Terms of Use)
File: backtrace (57.68 KB, text/plain)
2015-11-14 18:58 UTC, xvr
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-14 18:58 UTC, xvr
no flags Details
File: core_backtrace (6.04 KB, text/plain)
2015-11-14 18:58 UTC, xvr
no flags Details
File: dso_list (15.54 KB, text/plain)
2015-11-14 18:58 UTC, xvr
no flags Details
File: environ (1.73 KB, text/plain)
2015-11-14 18:58 UTC, xvr
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: maps (68.45 KB, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: open_fds (567 bytes, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-11-14 18:59 UTC, xvr
no flags Details

Description xvr 2015-11-14 18:58:35 UTC
Description of problem:
Just after KDE 5 startup

Version-Release number of selected component:
plasma-workspace-5.4.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
global_pid:     1817
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::SNIProxy at ../../xembed-sni-proxy/sniproxy.cpp:164
 #1 FdoSelectionManager::dock at ../../xembed-sni-proxy/fdoselectionmanager.cpp:151
 #2 FdoSelectionManager::nativeEventFilter at ../../xembed-sni-proxy/fdoselectionmanager.cpp:118
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:460
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1034
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1527
 #6 QObject::event at kernel/qobject.cpp:1239
 #7 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
 #8 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #9 sendEvent at kernel/qcoreapplication.h:224

Potential duplicate: bug 1280018

Comment 1 xvr 2015-11-14 18:58:47 UTC
Created attachment 1094135 [details]
File: backtrace

Comment 2 xvr 2015-11-14 18:58:49 UTC
Created attachment 1094136 [details]
File: cgroup

Comment 3 xvr 2015-11-14 18:58:51 UTC
Created attachment 1094137 [details]
File: core_backtrace

Comment 4 xvr 2015-11-14 18:58:54 UTC
Created attachment 1094138 [details]
File: dso_list

Comment 5 xvr 2015-11-14 18:58:58 UTC
Created attachment 1094139 [details]
File: environ

Comment 6 xvr 2015-11-14 18:59:02 UTC
Created attachment 1094140 [details]
File: limits

Comment 7 xvr 2015-11-14 18:59:12 UTC
Created attachment 1094141 [details]
File: maps

Comment 8 xvr 2015-11-14 18:59:16 UTC
Created attachment 1094142 [details]
File: mountinfo

Comment 9 xvr 2015-11-14 18:59:23 UTC
Created attachment 1094143 [details]
File: namespaces

Comment 10 xvr 2015-11-14 18:59:26 UTC
Created attachment 1094144 [details]
File: open_fds

Comment 11 xvr 2015-11-14 18:59:32 UTC
Created attachment 1094145 [details]
File: proc_pid_status

Comment 12 xvr 2015-11-14 18:59:36 UTC
Created attachment 1094146 [details]
File: var_log_messages

Comment 13 marc-schmitzer 2015-11-15 09:55:55 UTC
Another user experienced a similar problem:

Logged in after recent plasma update.

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
global_pid:     1417
kernel:         4.2.5-201.fc22.i686+PAE
package:        plasma-workspace-5.4.3-1.fc22
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2016-07-19 18:28:14 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.